当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决][求助]关于gentoo输入法的问题
帖子发表于 : 2009-01-21 18:55 
头像

注册: 2007-09-05 12:50
帖子: 23
送出感谢: 0 次
接收感谢: 0 次
现在用的是kde4环境
按照网上的教程
emerge -av scim skim scim-pinyin
在emerge skim时出了错,报告如下:

>>> Emerging (1 of 1) app-i18n/skim-1.4.5-r2
--- Invalid atom in /etc/portage/package.use: ?app-i18n/scim-python
--- Invalid atom in /etc/portage/package.keywords: ?app-i18n/scim-python
!!! Invalid PORTDIR_OVERLAY (not a dir): '/usr/portage/local/layman/gentoo-china'
* skim-1.4.5.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking skim-1.4.5.tar.bz2 to /var/tmp/portage/app-i18n/skim-1.4.5-r2/work
* Applying skim-1.4.5-asneeded.patch ... [ ok ]
* Applying skim-1.4.5-kde3.patch ... [ ok ]
>>> Source unpacked in /var/tmp/portage/app-i18n/skim-1.4.5-r2/work
>>> Compiling source in /var/tmp/portage/app-i18n/skim-1.4.5-r2/work/skim-1.4.5 ...
Checking for Python : /usr/bin/python
Checking for SCons : Use Bundled scons.
** installation prefix for the project set to: /usr
Checking for kde-config : kde-config was NOT found in your PATH
Make sure kde is installed properly
(missing package kdebase-devel?)
*

* ERROR: app-i18n/skim-1.4.5-r2 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2953: Called die
* The specific snippet of code:
* ./configure prefix=/usr libdir=/usr/$(get_libdir) || die;
* The die message:
* (no error message)
*

* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/app-i18n/skim-1.4.5-r2/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/app-i18n/skim-1.4.5-r2/temp/environment'.
*

>>> Failed to emerge app-i18n/skim-1.4.5-r2, Log file:

>>> '/var/tmp/portage/app-i18n/skim-1.4.5-r2/temp/build.log'

* Messages for package app-i18n/skim-1.4.5-r2:

*
* ERROR: app-i18n/skim-1.4.5-r2 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2953: Called die
* The specific snippet of code:
* ./configure prefix=/usr libdir=/usr/$(get_libdir) || die;
* The die message:
* (no error message)
*

* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/app-i18n/skim-1.4.5-r2/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/app-i18n/skim-1.4.5-r2/temp/environment'.
*

黑体字部分说我没有kde-config,我locate了一下发现了kde3的/usr/kde/3.5/bin/kde-config和kde4的/usr/bin/kde4-config
它提示我说kdebase-devel没有装,我emerge 后发现没有这个包,网上只有rpm的包...
同样源码装scim-python时也不行,一样的错误

大家指导一下吧,折腾了好久,实在是没办法了...


最后由 lixinyu2268 编辑于 2009-01-21 23:52,总共编辑了 2 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: [求助]关于gentoo输入法的问题
帖子发表于 : 2009-01-21 22:20 
头像

注册: 2007-10-06 23:37
帖子: 582
送出感谢: 0 次
接收感谢: 0 次
我用ibus


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [求助]关于gentoo输入法的问题
帖子发表于 : 2009-01-21 23:51 
头像

注册: 2007-09-05 12:50
帖子: 23
送出感谢: 0 次
接收感谢: 0 次
lailue 写道:
我用ibus

我刚才也曲线救国,换成ibus了,有人说要升级更新环境变量:
env-update && source /etc/profile && emerge -av1 skim
我没试...


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译